import { Component, OnInit, ViewChild  } from '@angular/core';
import { NgxCarousel } from 'ngx-carousel';



@Component({
  selector: 'app-index',
  templateUrl: './index.component.html',
  styleUrls: ['./index.component.scss']
})
export class IndexComponent implements OnInit {

  public carouselTile: NgxCarousel;
  public featuredOn: NgxCarousel;

  lat: number = 51.678418;
  lng: number = 7.809007;

  constructor() { }

  ngOnInit() {
    this.carouselTile = {
      grid: {xs: 1, sm: 2 , md: 3, lg: 3, all: 0},
      slide: 1,
      speed: 400,
      animation: 'lazy',
      point: {
        visible: false
      },
      load: 2,
      touch: true,
      easing: 'ease'
    }

    this.featuredOn = {
      grid: {xs: 1, sm: 2 , md: 5, lg: 6, all: 0},
      slide: 1,
      speed: 400,
      animation: 'lazy',
      point: {
        visible: false
      },
      load: 2,
      touch: true,
      easing: 'ease'
    }

  }
  carouselTileLoad()
  {
    return '';
  }

  featuredOnLoad()
  {
    return '';
  }
 

}
